Bug 200610 - mod_nss won't build against Apache 2.0.58
mod_nss won't build against Apache 2.0.58
Status: MODIFIED
Product: Red Hat Fortitude
Classification: Retired
Component: General (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-28 20:34 EDT by Rob Crittenden
Modified: 2015-01-04 19:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Crittenden 2006-07-28 20:34:06 EDT
With apache-2.0.58 mod_nss build tries to resolve ap_regex_t and fails.

The compile fails with:

nss_expr_eval.c: In function 'nss_expr_eval_comp':
nss_expr_eval.c:116: error: 'ap_regex_t' undeclared (first use in this function)
nss_expr_eval.c:116: error: (Each undeclared identifier is reported only once
nss_expr_eval.c:116: error: for each function it appears in.)
nss_expr_eval.c:116: error: 'regex' undeclared (first use in this function)
nss_expr_eval.c:121: error: syntax error before ')' token
nss_expr_eval.c:133: error: syntax error before ')' token
gmake: *** [nss_expr_eval.lo] Error 1

It appears that Apache now defines AP_SERVER_MAJORVERSION_NUMBER in the 2.0 line
as well.
Comment 1 Rob Crittenden 2006-08-03 09:24:43 EDT
AP_SERVER_MAJORVERSION_NUMBER and friends was added in 2.0.56-dev. Changed the
logic a bit such that if this isn't define, I set the version of Apache in
mod_nss.h to 2.0.55. The exact version isn't that important, I'm just saying
which API to use.

mod_nss.c and nss_engine_vars.c were changed to examine
AP_SERVER_MINORVERSION_NUMBER to determine which API to use.

This is still less-than-graceful IMHO but it works. Confirmed with 2.0.59 and 2.2.3.

Checked into mod_nss tip.

Checking in mod_nss.c;
/cvs/dirsec/mod_nss/mod_nss.c,v  <--  mod_nss.c
new revision: 1.13; previous revision: 1.12
done
Checking in mod_nss.h;
/cvs/dirsec/mod_nss/mod_nss.h,v  <--  mod_nss.h
new revision: 1.13; previous revision: 1.12
done
Checking in nss_engine_vars.c;
/cvs/dirsec/mod_nss/nss_engine_vars.c,v  <--  nss_engine_vars.c
new revision: 1.7; previous revision: 1.6
done
Running syncmail...
Mailing relnotes@fedoraproject.org...
...syncmail done.
Running syncmail...
Mailing cvsdirsec@fedora.redhat.com...
...syncmail done.

Note You need to log in before you can comment on or make changes to this bug.